InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::CalibrationSettings Struct Reference

Calibration Settings. More...

`#include <CalibrationSettings.h>`

## Public Member Functions
| CalibrationSettings ()
| CalibrationSettings (std::wstring const &logfile, const unsigned maxBurst, const bool accelFilter=true, const bool compassFilter=false, const bool gyroFilter=true, const double accelThresh=2.0, const double compassThresh=.1, const double gyroThresh=50.0, const double accelTarget=9.80665, const double compassTarget=.4905, const double gyroTarget=360.0, const bool accelZeroOffset=false, const bool compassZeroOffset=false, const bool gyroZeroOffset=true)
| CalibrationSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
std::wstring | logfile
| The logfile with calibration data.
unsigned | maxBurst
| Number of samples to read from the logfile and parse at once.
bool | accelFilter
| Enable a filter for fast movements in the accelerometer data.
bool | compassFilter
| Enable a filter for fast movements in the compass data.
bool | gyroFilter
| Enable a filter for fast movements in the gyroscope data.
double | accelThresh
| Variance threshold for filtering acceleration data.
double | compassThresh
| Variance threshold for filtering compass data.
double | gyroThresh
| Variance threshold for filtering gyroscope data.
double | accelTarget
| Target magnitude for acceleration data, e.g. 9.81 m/s2.
double | compassTarget
| Target magnitude for compass data, e.g. 0.4905 gauss.
double | gyroTarget
| Target magnitude for gyroscope data, e.g. 360.0 deg/s.
bool | accelZeroOffset
| Calculate the zero-offset of the average acceleration data.
bool | compassZeroOffset
| Calculate the zero-offset of the average compass data.
bool | gyroZeroOffset
| Calculate the zero-offset of the average gyroscope data.

## Detailed Description

Calibration Settings.

Class containing calibration settings.

## Constructor & Destructor Documentation

## ◆ CalibrationSettings() [1/3]

inertia::CalibrationSettings::CalibrationSettings | ( |  | ) |
| inline

Default constructor

## ◆ CalibrationSettings() [2/3]

inertia::CalibrationSettings::CalibrationSettings | ( | std::wstring const & | logfile,
|  | const unsigned | maxBurst,
|  | const bool | accelFilter = true,
|  | const bool | compassFilter = false,
|  | const bool | gyroFilter = true,
|  | const double | accelThresh = 2.0,
|  | const double | compassThresh = .1,
|  | const double | gyroThresh = 50.0,
|  | const double | accelTarget = 9.80665,
|  | const double | compassTarget = .4905,
|  | const double | gyroTarget = 360.0,
|  | const bool | accelZeroOffset = false,
|  | const bool | compassZeroOffset = false,
|  | const bool | gyroZeroOffset = true )

Constructor with individual arguments.

Parameters

  logfile | the logfile
  maxBurst | set the number of samples to read at once
  accelFilter | enable the accelerometer Filter
  compassFilter | enable the compass filter
  gyroFilter | enable the gyroscope filter
  accelThresh | set the accelerometer threshold
  compassThresh | set the compass threshold
  gyroThresh | set the gyroscope threshold
  accelTarget | set the accelerometer target
  compassTarget | set the compass target
  gyroTarget | set the gyroscope target
  accelZeroOffset | enable zero-offset from average accelerometer data
  compassZeroOffset | enable zero-offset from average compass data
  gyroZeroOffset | enable zero-offset from average gyroscope data

## ◆ CalibrationSettings() [3/3]

inertia::CalibrationSettings::CalibrationSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates CalibrationSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::CalibrationSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for CalibrationSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::CalibrationSettings::ToString | ( |  | ) | const

Get a string representation of this CalibrationSettings. The string is compatible with GetOptionDescription() and CalibrationSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- CalibrationSettings.h